<?php
/**
 * Advance Startup: Block Patterns
 *
 * @package  Advance Startup
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'advance-startup',
		array( 'label' => __( ' Advance Startup', 'advance-startup' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'advance-startup/banner-section',
		array(
			'title'      => __( 'Banner Section', 'advance-startup' ),
			'categories' => array( 'advance-startup' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":550,\"dimRatio\":0,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-550\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h1 class=\"has-text-align-center\" style=\"font-size:40px\">Helping Your Buisness Build And Grow</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"align\":\"center\",\"style\":{\"color\":{\"background\":\"#df2b23\"},\"border\":{\"radius\":\"25px\"},\"typography\":{\"fontSize\":\"12px\"}},\"className\":\"banner-section-btn is-style-fill\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size banner-section-btn is-style-fill\" style=\"font-size:12px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:25px;background-color:#df2b23\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'advance-startup/service-section',
		array(
			'title'      => __( 'service-section', 'advance-startup' ),
			'categories' => array( 'advance-startup' ),
			'content'    => "<!-- wp:group {\"className\":\"service-section mt-md-5\"} -->\n<div class=\"wp-block-group service-section mt-md-5\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"color\":{\"text\":\"#262626\"}},\"fontSize\":\"large\"} -->\n<h2 class=\"has-text-align-center has-text-color has-large-font-size\" style=\"color:#262626\">What We Provide</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"service-boxes\"} -->\n<div class=\"wp-block-columns service-boxes\"><!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"service-box p-3 my-2\"} -->\n<div class=\"wp-block-column service-box p-3 my-2 has-white-background-color has-background\"><!-- wp:image {\"id\":559,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image-1.png\" alt=\"\" class=\"wp-image-559\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#262626\"},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#262626;font-size:16px\">Advance Startup Service 01</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#717171;font-size:14px\">Lorem ipsum dolor sit amet &nbsp;simply dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"textColor\":\"black\",\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"12px\"},\"border\":{\"radius\":\"25px\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size service-btn\" style=\"font-size:12px\"><a class=\"wp-block-button__link has-black-color has-white-background-color has-text-color has-background\" style=\"border-radius:25px\">VIEW DETAILS</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"service-box p-3 my-2\"} -->\n<div class=\"wp-block-column service-box p-3 my-2 has-white-background-color has-background\"><!-- wp:image {\"id\":560,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image-2.png\" alt=\"\" class=\"wp-image-560\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#262626\"},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#262626;font-size:16px\">Advance Startup Service 02</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#717171;font-size:14px\">Lorem ipsum dolor sit amet &nbsp;simply dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"textColor\":\"black\",\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"12px\"},\"border\":{\"radius\":\"25px\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size service-btn\" style=\"font-size:12px\"><a class=\"wp-block-button__link has-black-color has-white-background-color has-text-color has-background\" style=\"border-radius:25px\">VIEW DETAILS</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"service-box p-3 my-2\"} -->\n<div class=\"wp-block-column service-box p-3 my-2 has-white-background-color has-background\"><!-- wp:image {\"id\":561,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image-3.png\" alt=\"\" class=\"wp-image-561\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#262626\"},\"typography\":{\"fontSize\":\"16px\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#262626;font-size:16px\">Advance Startup Service 03</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#717171;font-size:14px\">Lorem ipsum dolor sit amet &nbsp;simply dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"textColor\":\"black\",\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"12px\"},\"border\":{\"radius\":\"25px\"}},\"className\":\"service-btn\"} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size service-btn\" style=\"font-size:12px\"><a class=\"wp-block-button__link has-black-color has-white-background-color has-text-color has-background\" style=\"border-radius:25px\">VIEW DETAILS</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}